Loading...
Searching...
No Matches
atomIterator.h File Reference
`#include <BALL/KERNEL/atom.h>`
`#include <BALL/KERNEL/iterator.h>`
`#include <BALL/KERNEL/predicate.h>`
`#include <BALL/CONCEPT/stdIteratorWrapper.h>`

Go to the source code of this file.

## Classes

class | BALL::AtomIteratorTraits

## Namespaces

namespace | BALL

## Typedefs

Iterator type definitions for the various AtomIterators
typedef BidirectionalIterator< Composite, Atom, Composite::CompositeIterator, AtomIteratorTraits > | BALL::AtomIterator
typedef ConstBidirectionalIterator< Composite, Atom, Composite::CompositeIterator, AtomIteratorTraits > | BALL::AtomConstIterator
typedef std::reverse_iterator< AtomIterator > | BALL::AtomReverseIterator
| A mutable reverse bidirectional iterator for the Atom class.
typedef std::reverse_iterator< AtomConstIterator > | BALL::AtomConstReverseIterator
| A constant reverse bidirectional iterator for the Atom class.